Confused... need general cIOS and loader help

Discussion in 'Wii - Backup Loaders' started by DiabloTerrorGF, Jun 14, 2010.

  1. DiabloTerrorGF
    OP

    DiabloTerrorGF Newbie

    Newcomer
    6
    0
    Jun 14, 2010
    United States
    I did bannerbomb on my 4.2 wii(then used hackmii), got 249rev19 installed, got hermes v4 222(38w/37) and 223(38w/60). So far so good...

    Things I don't seem to understand:
    When I run a program in HBC, which cIOS does it use? Can I change this? I notice some programs let you choose when starting up....

    Which leads into:
    USB Loader GX, it doesn't detect my USB drive(although CFG USB Loader does in 249rev19). When I select ios222, it just plain freezes. When I select 249 it counts down. Someone said start it in ios222... uh how?

    Another problem is I get a -1029 error with WAD Manager 1.5 when selecting .wads, I tried re-installing 249rev19 with no go. Other suggestions?
     
  2. Riley

    Riley GBAtemp Maniac

    Member
    1,123
    3
    Mar 9, 2009
    Canada
    BC Canada
    Install cIOS249 as BASE38. Install Hermes cios. Use CFG-Loader.
     
  3. DiabloTerrorGF
    OP

    DiabloTerrorGF Newbie

    Newcomer
    6
    0
    Jun 14, 2010
    United States
    I was told installing things below ios200 is a bad idea...
     
  4. kimikal27

    kimikal27 GBAtemp Maniac

    Member
    1,381
    0
    Oct 28, 2008
    Galway
    follow Riley suggestion
     
  5. DiabloTerrorGF
    OP

    DiabloTerrorGF Newbie

    Newcomer
    6
    0
    Jun 14, 2010
    United States
    Well, what does installing it as ios38(that is correct?) do? I'm very confused as to how IOS's are loaded still. And if your suggestion is to still use CFG Loader... then why should I do it(or does this fix WAD manager?) as CFG Loader works fine already. Or are you talking about install 249 with base38 instead of base57?
     
  6. C.S.I.

    C.S.I. GBAtemp Fan

    Member
    410
    0
    Mar 8, 2010
    Down under
    No, dont overwrite IOS38.

    What he was saying, is install another version V19 of cISO249, but use a Base38 version ov V19/249.

    Some WAD managers and other bits'n'bobs want that base for 249.

    Quote "Or are you talking about install 249 with base38 instead of base57? " Yes. =)
     
  7. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    What Riley meant is:
    Install cIOS38rev19. There's no such thing as a cIOS249, just ignore all people that use that term.

    cIOS38rev19 == modified IOS38 (usually) installed as IOS249, using cIOS patches revision 19

    Maybe it works better if you use IOS38 as base IOS for the cIOS, but if it does, it just proves how much GX fails. If configurable usb loader works for you, then stick to it, it seems to be more stable and compatible anyways.
     
  8. kimikal27

    kimikal27 GBAtemp Maniac

    Member
    1,381
    0
    Oct 28, 2008
    Galway
    wiipower is right (as usual)

    my bad, sorry
     
  9. TRushInfo

    TRushInfo Banned

    Banned
    978
    0
    Jun 13, 2009
    United States
    ignore the desire to stab ppl that talk about cios249............. its working so far
     
  10. DiabloTerrorGF
    OP

    DiabloTerrorGF Newbie

    Newcomer
    6
    0
    Jun 14, 2010
    United States
    Alright, good. To do this, I need to delete ios249 with ATD, then run the rev19 installer with ios36(needs trucha bug still right...?) and use base38.

    So, what does base57 offer over base38 then?
     
  11. Taleweaver

    Taleweaver Storywriter

    Member
    5,385
    1,449
    Dec 23, 2009
    Belgium
    Belgium
    You don't even need to use ATD to clear out the 249 slot in advance. If you use the installer, it will automatically overwrite the cIOS that is already present there. [​IMG]


    iirc, the base57 has better USB loading speed than 38.



    @wiipower: though I admit you're right, you can't deny that this isn't exactly the least confusing approach to say it. It's true that there is no "cIOS249". But what does exist is a spot where you can install code to. A container...a slot, so you will. And that can be used to put some code in it.


    (and yes, you already know that...but I find this kind of explanation better than just saying that others are wrong who claim that cIOS249 does exist).
     
  12. DiabloTerrorGF
    OP

    DiabloTerrorGF Newbie

    Newcomer
    6
    0
    Jun 14, 2010
    United States
    Yeah it's very confusing to someone new to the scene. Most guides seem to use base57 now, and when people were mentioning cios38rev19 I was like "wth is that? some very dirty modification of ios38?"(dirty as in something not recommended to be done/dangerous).